# H460_FeatureOID Class Reference

`#include <h4601.h>`

Inheritance diagram for H460_FeatureOID:

[legend]
Collaboration diagram for H460_FeatureOID:
[legend]

## Public Member Functions

H460_FeatureParameter & | operator[] (OpalOID id) const
H460_FeatureParameter & | operator[] (OpalOID id)
Construction
| H460_FeatureOID (OpalOID Identifier)
Parameter Control
H460_FeatureParameter & | Add (const PString &id, const H460_FeatureContent &con)
void | Remove (const PString &id)
void | Replace (const PString &id, const H460_FeatureContent &con)
PBoolean | HasParameter (OpalOID id)
PBoolean | Contains (const PString &id)
H460_FeatureParameter & | Value (const PString &id)

## Protected Member Functions

PString | GetBase ()

## Constructor & Destructor Documentation

H460_FeatureOID::H460_FeatureOID | ( | OpalOID | Identifier | ) |

Create a new handler for a Standard H460 Feature.

## Member Function Documentation

H460_FeatureParameter& H460_FeatureOID::Add | ( | const PString & | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

Add item

PBoolean H460_FeatureOID::Contains | ( | const PString & | id | ) |

Contains a Parameter

PString H460_FeatureOID::GetBase | ( |  | ) | `[protected]`

PBoolean H460_FeatureOID::HasParameter | ( | OpalOID | id | ) |

Has Parameter

H460_FeatureParameter& H460_FeatureOID::operator[] | ( | OpalOID | id | ) |

Operator

Parameters:

  id | * Index position in the collection of the object.

H460_FeatureParameter& H460_FeatureOID::operator[] | ( | OpalOID | id | ) | const`[inline]`

Operator

Parameters:

  id | * Index position in the collection of the object.

void H460_FeatureOID::Remove | ( | const PString & | id | ) |

Delete item

void H460_FeatureOID::Replace | ( | const PString & | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

Replace item

H460_FeatureParameter& H460_FeatureOID::Value | ( | const PString & | id | ) |

Value of a parameter

The documentation for this class was generated from the following file:

- h4601.h